<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Home</title>
    <link rel="stylesheet" href="./client/css/styles.css" />
  </head>
  <body>
    <header class="header">
      <nav class="header-nav">
        <ul class="header-nav__list">
          <li class="header-nav__item home current">
            <a href="./index.html">Home</a>
          </li>
          <li class="header-nav__item loads"><a>Loads</a></li>
          <li class="header-nav__item trucks"><a>Trucks</a></li>
        </ul>
        <ul class="header-nav__list">
          <li class="header-nav__item register"><a>Register</a></li>
          <li class="header-nav__item login"><a>Login</a></li>
          <li class="header-nav__item profile"><a>Profile</a></li>
          <li class="header-nav__item logout"><a>Logout</a></li>
        </ul>
      </nav>
    </header>
    <main class="main">
      <h1 class="main-title">Delivery service app</h1>
    </main>
    <section class="content">
      <div class="register-section"></div>
      <div class="login-section"></div>
      <div class="loads-section"></div>
      <div class="trucks-section"></div>
      <div class="profile-section"></div>
    </section>

    <div class="backdrop is-hidden">
      <div class="modal">
        <button type="button" class="button-close" data-modal-close>x</button>
        <h2 class="modal-title">Load information</h2>
        <form
          class="form-load"
          action="http://localhost:8080/api/loads/"
          method="post"
        >
          <div class="modal-field">
            <input
              type="text"
              name="name"
              class="modal-input"
              placeholder="Name"
            />
            <input
              type="text"
              name="pickup_address"
              class="modal-input"
              placeholder="Pickup address"
            />
            <input
              type="text"
              name="delivery_address"
              class="modal-input"
              placeholder="Delivery address"
            />
            <input
              type="number"
              name="payload"
              class="modal-input"
              placeholder="Payload"
            />
          </div>
          <button type="submit" class="btn-add">Next</button>
        </form>
      </div>
    </div>

    <div class="backdrop-dimensions is-hidden">
      <div class="modal">
        <button type="button" class="button-close" data-modal-close>x</button>
        <h2 class="modal-title">Dimensions</h2>
        <form
          class="form-dimensions"
          action="http://localhost:8080/api/loads/"
          method="post"
        >
          <div class="modal-field">
            <input
              type="number"
              name="width"
              class="modal-input"
              placeholder="Width"
            />
            <input
              type="number"
              name="length"
              class="modal-input"
              placeholder="Length"
            />
            <input
              type="number"
              name="height"
              class="modal-input"
              placeholder="Height"
            />
          </div>
          <button type="submit" class="btn-add">Save</button>
        </form>
      </div>
    </div>

    <div class="backdrop-truck is-hidden">
      <div class="modal">
        <button type="button" class="button-close button-close-truck" data-modal-close>x</button>
        <h2 class="modal-title">Truck type</h2>
        <form
          class="form-truck"
        >
          <div class="modal-field-truck">
            
            <label for="SPRINTER">
              <input
              type="radio"
              id="SPRINTER"
              name="type"
              value="SPRINTER"
              class="radio"
              checked
            />SPRINTER
            </label>

            
            <label for="SMALL STRAIGHT">
              <input
              type="radio"
              id="SMALL STRAIGHT"
              name="type"
              value="SMALL STRAIGHT"
              class="radio"
            />SMALL STRAIGHT
            </label>

            
            <label for="LARGE STRAIGHT">
              <input
              type="radio"
              id="LARGE STRAIGHT"
              name="type"
              value="LARGE STRAIGHT"
              class="radio"
            />LARGE STRAIGHT
            </label>

          </div>
          <button type="submit" class="btn-add">Add</button>
        </form>
      </div>
    </div>

    <script src="./client/js/index.js" type="module"></script>
  </body>
</html>
